ConfigController	=	class.new();

function ConfigController:constructor()
	self.validators = {
		postCharacter	=	{
			useHPPotion	=	'required|min:1|max:99',
			useMPPotion	=	'required|min:1|max:99',
		},
	};
end

function ConfigController:getCharacter(request, id);
	local char	=	characters[tonumber(id)];
	if( not char ) then
		return stdError(404, sprintf("Character with ID %d not found.", id));
	end

	local data = {
		character	=	char,
	};

	return View:make('config-character', data);
end

function ConfigController:postCharacter(request)
	local id	=	tonumber(request:input('id'));

	characters[id].config.useHPPotion	=	tonumber(request:input('useHPPotion'));
	characters[id].config.useMPPotion	=	tonumber(request:input('useMPPotion'));

	return Redirect('config/character/' .. id):with('success', 'Successfully updated');
end