HomeController	=	class.new();

local function statistics()
	local secondsDif		=	Timestamp:now():diffInSeconds(scriptStartedAt);
	local hours				=	math.floor(secondsDif / 3600);
	local minutes			=	math.floor(secondsDif / 60) % 60;
	local seconds			=	math.floor(secondsDif % 60);
	local uptime			=	sprintf("%02d:%02d:%02d", hours, minutes, seconds);

	local freeMemoryStr		=	system.exec("wmic os get freephysicalmemory /format:value");
	local freeMemory		=	string.format("%02d", string.match(freeMemoryStr, "FreePhysicalMemory=(%d+)"));
	local totalMemoryStr	=	system.exec("wmic os get totalvisiblememorysize /format:value");
	local totalMemory		=	string.format("%02d", string.match(totalMemoryStr, "TotalVisibleMemorySize=(%d+)"));
	local usedMemory		=	totalMemory - freeMemory;

	local scriptUsedMem		=	math.ceil(collectgarbage('count')) .. ' KB';

	local data = {
		botStatus				=	botStatus,
		startedAt				=	scriptStartedAt:toHuman(),
		scriptUsedMem			=	scriptUsedMem,
		systemUsedMem			=	string.format("%2.2f GB", usedMemory / 1024 / 1024),
		--systemUsedMemMBRaw		=	string.format("%0.4f", usedMemory / 1024),
		systemTotalMemRaw		=	totalMemory,
		systemTotalMem			=	string.format("%2.2f GB", totalMemory / 1024 / 1024),
		systemUsedMemPercent	=	string.format("%2.2f%%", usedMemory/totalMemory*100),
		memoryUsedHistory		=	memoryUsedHistory,

		uptime					=	uptime,
		
		character				=	player,
	};
	return data;
end

function HomeController:getIndex(request)
	local stats		=	statistics();

	return View:make('home', stats);
end

function HomeController:getStatistics()
	local stats		=	statistics();

	return JsonResponse(stats);
end