@extends('template')

@beginsection('pageTitle')
	Home
@endsection

@beginsection('head')
	<!-- Header stuff -->
@endsection

@beginsection('content')
	<h1>MicroMacro HTTPD test site</h1>

	<h3>Overview</h3>
	<table class="table table-condensed table-striped table-bordered">
		<tr>
			<th class="col-sm-2">
				Bot Status:
			</th>
			<td class="col-sm-4">
				<span id="botStatus" class="{{ if(botStatus=='running') then return 'label label-success'; else return 'label label-danger';end }}">
					{{ botStatus }}
				</span>
			</td>
			<th class="col-sm-2">
				Script Memory Usage:
			</th>
			<td class="col-sm-4" id="scriptUsedMem">
				{{ scriptUsedMem }}
			</td>
		</tr>
		<tr>
			<th>
				
			</th>
			<td>

			</td>
			<th>
				System Memory Usage:
			</th>
			<td>
				<span id="systemUsedMem">{{ systemUsedMem }}</span>
				/ <span id="systemTotalMem">{{ systemTotalMem }}</span>
				&nbsp; <span id="systemUsedMemPercent">{{ systemUsedMemPercent }}</span>
			</td>
		</tr>
		<tr>
			<th>
				Script Started At:
			</th>
			<td>
				<span id="startedAt">{{ startedAt }}</span>
			</td>
			<th>
				Run Time: &nbsp; (<small>In format h:m:s</small>)
			</th>
			<td>
				<span id="uptime">{{ uptime }}</span>
			</td>
		</tr>
	</table>

	<p>&nbsp;</p>

	<h3>Memory Usage Over 1 minute</h3>
	<div id="chart_div"></div>
@endsection


@beginsection('javascript')
	<!-- Now display the graph -->
	<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
	<script>
		// Load the Visualization API and the corechart package.
		google.charts.load('current', {'packages':['corechart']});

		// Set a callback to run when the Google Visualization API is loaded.
		google.charts.setOnLoadCallback(drawChart);


		// Prep our history with initial data
		var memHistory = [
			['Time', 'Memory Used in MB'],
			@foreach(memoryUsedHistory as index,value) {
				[{{ index}}, {{ value }}],
			}
		];

		// Callback that creates and populates a data table,
		// instantiates the pie chart, passes in the data and
		// draws it.
		function drawChart()
		{
			// Create the data table.

			var data = google.visualization.arrayToDataTable(memHistory);

			// Set chart options
			var options = {
				chart: {
					'title': 'System Memory Usage',
				},
				'width':	1024,
				'height':	300,
			};

			// Instantiate and draw our chart, passing in some options.
			var chart = new google.visualization.LineChart(document.getElementById('chart_div'));
			chart.draw(data, options);
		}
	</script>

	<script>
		function ajaxCall()
		{
			$.get("/home/statistics", {},
				function(data, status){
					var obj = JSON.parse(data);

					memHistory = [];
					memHistory.push(['Time', 'Memory Used in MB']);
					for(i = 0; i < obj.memoryUsedHistory.length; i++)
						memHistory.push([i + 1, Math.round(obj.memoryUsedHistory[i])]);

					//alert(obj.memoryUsedHistory);

					drawChart();

					if( obj.botStatus == 'running' ){
						$("#botStatus").attr('class', 'label label-success');
					} else {
						$("#botStatus").attr('class', 'label label-danger');
					}

					$("#botStatus").text(obj.botStatus);
					$("#startedAt").text(obj.startedAt);
					$("#uptime").text(obj.uptime);
					$("#scriptUsedMem").text(obj.scriptUsedMem);
					$("#systemUsedMem").text(obj.systemUsedMem);
					$("#systemTotalMem").text(obj.systemTotalMem);
					$("#systemUsedMemPercent").text(obj.systemUsedMemPercent);
				}
			);
		}

		setInterval(ajaxCall, 1000);
	</script>
@endsection