@extends('template')
@beginsection('pageTitle')
	Interactive/AJAX demo
@endsection

@beginsection('content')
	<h1>Interactive Demo</h1>
	<p>
		Status of the bot is:
		<span class="{{ if(botStatus=='running') then return 'label label-success'; else return 'label label-danger';end }}">
			{{ botStatus }}
		</span>
	</p>
	<p>
		@if( botStatus == 'running' )
		{
			<form method="POST" action="/interactive/change-status" style="display: inline">
				<input type="hidden" name="status" value="stopped" />
				<button type="submit" class="btn btn-danger">Stop it</button>
			</form>
		}
		else
		{
			<form method="POST" action="/interactive/change-status" style="display: inline">
				<input type="hidden" name="status" value="running" />
				<button type="submit" class="btn btn-success">Start it</button>
			</form>
		}
	</p>


	<h3>Status</h3>

	<div class="panel panel-default">
	  <div class="panel-heading">
		<h3 class="panel-title">
			<span class="glyphicon glyphicon-user"></span> <strong>{{ character.name }}</strong> <small>Lv {{ character.level }}</small>
			<div class="pull-right">
				<a href="config/character/{{ character.id }}" data-toggle="tooltip" data-placement="left" title="Configure"><span class="glyphicon glyphicon-option-vertical"></span></a>
			</div>
		</h3>
	  </div>
	  <div class="panel-body">
			<div class="row">
				<div class="col-sm-1">
					<a href="#" class="thumbnail">
						<img src="/{{ character.avatar }}">
					</a>
				</div>
				<div class="col-sm-3">
					<table class="table table-condensed">
						<tr>
							<th><span data-toggle="tooltip" data-placement="bottom" title="This is your character's in-game class.">Class:</span></th> <td>{{ character.class }}</td>
						</tr>
						<tr>
							<th><span data-toggle="tooltip" data-placement="bottom" title="This is what your character is currently assigned to doing.">Task:</span></th>
							<td>{{ character.task }}</td>
						</tr>
					</table>
				</div>
				<div class="col-sm-8">
					<div class="progress">
					  <div class="progress-bar progress-bar-danger" role="hpbar" aria-valuenow="{{ character.hpper }}" aria-valuemin="0" aria-valuemax="100" style="width: {{ character.hpper }}%;">
						<span>HP: {{ character.hpper }}% </span>
					  </div>
					</div>

					<div class="progress">
					  <div class="progress-bar" role="mpbar" aria-valuenow="{{ character.mpper }}" aria-valuemin="0" aria-valuemax="100" style="width: {{ character.mpper }}%;">
						<span>MP: {{ character.mpper }}% </span>
					  </div>
					</div>
				</div>
			</div>
	  </div>
	</div>

	<h3>Map</h3>

	<div style="padding: 1em;">
		<strong>Position:</strong> (<span id="charX">{{ math.floor(character.x) }}</span>, <span id="charY">{{ math.floor(character.y) }}</span>)
		<div name="map" id="map" class="map">
			<div id="charMapPawn" style="position: relative; left: {{ math.floor(character.x) }}px; top: {{ math.floor(character.y) }}px; width: 8px; height: 8px; background-color: #0f0; border: 1px solid #000;"></div>
		</div>
	</div>
@endsection


@beginsection('javascript')
	<script>
		<!-- Enable tooltips --!>
		$(function () {
			$('[data-toggle="tooltip"]').tooltip()
		})

		function ajaxCall()
		{
			$.get("/interactive/character", {},
				function(data, status){
					var obj = JSON.parse(data);
					$("#charName").text(obj.character.name);
					$("#charX").text(Math.round(obj.character.x));
					$("#charY").text(Math.round(obj.character.y));
					$("#charHP").text(Math.round(obj.character.hpper));
					$("#charMP").text(Math.round(obj.character.mpper));
					$("#charMapPawn").css({"position":"relative", "left": Math.round(obj.character.x) + "px", "top": Math.round(obj.character.y) + "px"});//css('left', obj.character.x + 'px');
				}
			);
		}

		setInterval(ajaxCall, 500);
	</script>
@endsection