require('httpd/httpd');
require('timestamp');

-- "Fake" player object
player = {
	id			=	1,
	name		=	'Elverion',
	level		=	100,
	class		=	'Code Monkey',
	task		=	'Burninating all the peoples!',
	hpper		=	82,
	mpper		=	57,
	x			=	100,
	y			=	100,
	avatar		=	'avatar.jpg',
	config		=	{
		useHPPotion	=	50,
		useMPPotion	=	35,
	},
};

characters	=	{
	[1]	=	player,
};

memoryUsedHistory = {};
local maxMemoryHistory	=	60;
local lastMemoryUpdate	=	nil;
local totalMemory		=	string.match(system.exec("wmic os get totalvisiblememorysize /format:value"), "TotalVisibleMemorySize=(%d+)");

local function updateMemoryHistory()
	local freeMemory		=	string.match(system.exec("wmic os get freephysicalmemory /format:value"), "FreePhysicalMemory=(%d+)");
	local usedMemory		=	totalMemory - freeMemory;

	table.insert(memoryUsedHistory, usedMemory / 1024);

	-- If we're holding too much history, then chop off the first index
	if( #memoryUsedHistory > maxMemoryHistory ) then
		table.remove(memoryUsedHistory, 1);
	end

	lastMemoryUpdate	=	Timestamp:now();
end

function macro.init()
	httpd	=	Httpd();

	botStatus		=	'running';
	scriptStartedAt	=	Timestamp:now();
end

local angle = 0;
local speed = 60; -- Should take this long (in seconds) to complete a rotation
local function updateChar()
	local dt	=	time.deltaTime();
	local r		=	100;
	angle			=	angle + ( (math.pi*2)/speed *dt );
	if( angle > math.pi*2 ) then
		angle = 0;
	end

	player.x	=	200 + math.sin(angle)*r;
	player.y	=	200 + math.cos(angle)*r;
end

function macro.main()
	if( botStatus == 'running' ) then
		updateChar();
	end

	if( lastMemoryUpdate == nil or lastMemoryUpdate:isPast() ) then
		updateMemoryHistory();
	end
end


function macro.event(e, ...)
	httpd:handleEvent(e, ...);
end